Admin
Migrate Admin Soko Bot Versions
Authorization
bearerAuth AuthorizationBearer <token>
Authentication required for all endpoints. Supports Better Auth user credentials and dedicated agent bearer API keys (coworker_ or sokoBot_). Soko Bot runtime routes use their documented Vercel OIDC plus scoped turn-grant authentication.
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://loading/v1/admin/soko-bots/versions/migrate" \ -H "Content-Type: application/json" \ -d '{ "toVersionId": "string", "reason": "string" }'{
"data": {
"total": 0,
"moved": 0,
"alreadyOnVersion": 0,
"failed": 0,
"failures": [
{
"sokoBotId": "string",
"message": "string"
}
]
},
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"pagination": {
"cursor": "cmg4zknxt0000l404yn4li0kp",
"limit": 20,
"total": 100,
"nextCursor": "cmi4gmksz000104l8wps8p7fp"
}
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}
